package com.pj.project.tb_business_item;

import java.util.List;

import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.pj.utils.sg.*;

/**
 * Service: tb_business_item -- 业务作业项
 * @author qzy 
 */
@Service
public class TbBusinessItemService {

	/** 底层 Mapper 对象 */
	@Autowired
	TbBusinessItemMapper tbBusinessItemMapper;

	/** 增 */
	int add(TbBusinessItem t){
		return tbBusinessItemMapper.add(t);
	}

	/** 删 */
	int delete(String id){
		return tbBusinessItemMapper.delete(id);
	}

	/** 改 */
	int update(TbBusinessItem t){
		return tbBusinessItemMapper.update(t);
	}

	/** 查 */
	TbBusinessItem getById(String id){
		return tbBusinessItemMapper.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbBusinessItem> getList(SoMap so) {
		return tbBusinessItemMapper.getList(so);	
	}
	

}
